// Program wypisujcy te sowa, ktre maj wiecej liter ni cyfr.
// Zadanie 1 z 11-I-1999, grupa I

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Zakoncz: TButton;
    Slowa: TMemo;
    Wczytaj: TButton;
    Otwieranie: TOpenDialog;
    Dane: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure ZakonczClick(Sender: TObject);
    procedure WczytajClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure PrzetworzSlowo(Slowo: string; var Wynik: TMemo);
 var
  i, IleCyfr, IleLiter: integer;
begin
 IleCyfr := 0;
 IleLiter := 0;

 for i:= 1 to Length(slowo) do
  case Slowo[i] of
   'a'..'z', 'A'..'Z' : IleLiter := IleLiter + 1;
   '0'..'9'           : IleCyfr := IleCyfr + 1;
  end; // Koniec case i for

// Inne wersje sprawdzania czyznak jest liter:
//
//   if (Upcase(Slowo[i]) >= 'A') and (Upcase(Slowo[i]) <= 'Z')
//   then ...
//
//   if Slowo[i] in ['a'..'z', 'A'..'Z']
//   then ...
//
//   if UpCase(Slowo[i]) in ['A'..'Z']
//   then ...

   if IleLiter > IleCyfr
   then
     Wynik.Lines.Add(Slowo);
end;

procedure PrzetworzWiersz(Wiersz:string; var Wynik: TMemo);
var
 i:integer;
 Slowo:string;
begin
 Slowo:='';
 for i:=1 TO Length(Wiersz) do
  begin
   if Wiersz[i]=' '
   then
    begin
     if Slowo<>''
     then
      PrzetworzSlowo(Slowo,Wynik);
     Slowo:=''
    end
   else // znak rny od odstpu, czyli kolejny znak biecego sowa
    Slowo := Slowo+Wiersz[i]
  end; // for
 if Slowo<>''
 then  // Jeli zostao sowo w buforze, to je przerabiamy
  PrzetworzSlowo(Slowo, Wynik)
end;

procedure TForm1.WczytajClick(Sender: TObject);
begin
 Slowa.Clear;
 PrzetworzWiersz( Dane.Text, Slowa);
end;

procedure TForm1.ZakonczClick(Sender: TObject);
begin
 close
end;

end.
